import 'package:english_learning/core/services/dio_client.dart';

class StudentLearningRepository {
  final DioClient _dioClient;

  StudentLearningRepository(this._dioClient);

  Future<Map<String, dynamic>> createStudentLearning(
      String idLevel, String token) async {
    try {
      final response = await _dioClient.createStudentLearning(idLevel, token);
      return response.data;
    } catch (e) {
      throw Exception('Failed to create student learning: $e');
    }
  }
}
